Skip to main content
GET
/
notification_channels
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const notificationChannel of client.notificationChannels.list()) {
  console.log(notificationChannel.id);
}
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.notification_channels.list()
page = page.data[0]
print(page.id)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.NotificationChannels.List(context.TODO(), telnyx.NotificationChannelListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.notificationchannels.NotificationChannelListPage;
import com.telnyx.sdk.models.notificationchannels.NotificationChannelListParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

NotificationChannelListPage page = client.notificationChannels().list();
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

page = telnyx.notification_channels.list

puts(page)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$page = $client->notificationChannels->list(
filter: [
'associatedRecordType' => ['eq' => 'phone_number'],
'channelTypeID' => ['eq' => 'webhook'],
'notificationChannel' => ['eq' => '12455643-3cf1-4683-ad23-1cd32f7d5e0a'],
'notificationEventConditionID' => [
'eq' => '12455643-3cf1-4683-ad23-1cd32f7d5e0a'
],
'notificationProfileID' => [
'eq' => '12455643-3cf1-4683-ad23-1cd32f7d5e0a'
],
'status' => ['eq' => 'enable-received'],
],
pageNumber: 0,
pageSize: 0,
);

var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx notification-channels list \
--api-key 'My API Key'
curl --request GET \
--url https://api.telnyx.com/v2/notification_channels \
--header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
      "notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
      "channel_destination": "+13125550000",
      "created_at": "2019-10-15T10:07:15.527Z",
      "updated_at": "2019-10-15T10:07:15.527Z"
    }
  ],
  "meta": {
    "total_pages": 3,
    "total_results": 55,
    "page_number": 2,
    "page_size": 25
  }
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
object

Consolidated page parameter (deepObject style). Originally: page[number], page[size]

filter
object

Consolidated filter parameter (deepObject style). Originally: filter[associated_record_type][eq], filter[channel_type_id][eq], filter[notification_profile_id][eq], filter[notification_channel][eq], filter[notification_event_condition_id][eq], filter[status][eq]

Response

Returns a list of notification channels.

data
object[]
meta
object